/*The 'main' source file for Stick Territory

Copyright 2006 James Stanley*/

#include  "main.h"

int main() {
  printf("Stick Territory.\nWritten by James Stanley with the Allegro library.\n");
  allegro_init();

  set_window_title("Stick Territory by James Stanley");
  set_color_depth(24);
  if(set_gfx_mode(GFX_AUTODETECT_WINDOWED, 640, 480, 0, 0) != 0) {
    allegro_message("Video error. %s", allegro_error);
    exit(1);
  }

  srand(time(NULL));

  install_keyboard();
  install_timer();
  install_mouse();

  game_init();
  game_play();

  exit(0);
} END_OF_MAIN()
